package com.bankaudit.process.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="risk_summary_dtls")
public class RiskSummaryDtls implements Serializable{
	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;

	@Id
	@Column(name="audit_id")
	private String auditId;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;

	@Id
	@Column(name="audit_group_code")
	private String auditGroupCode;

	@Id
	@Column(name="activity_code")
	private String activityCode;
	
	@Id
	@Column(name="audit_sub_group_code")
	private String auditSubGroupCode;

	@Column(name="total_mapping")
	private String totalMapping;
	
	@Column(name="unauth_mapping")
	private String unauthMapping;

	@Column(name="auth_mapping")
	private String authMapping;

	@Column(name="checked")
	private String checked;

	@Column(name="unchecked_reason")
	private String uncheckedReason;

	@Column(name="entity_status")
	private String entityStatus;

	@Column(name="status")
	private String status;

	@Column(name="maker")
	private String maker;

	@Column(name="maker_timestamp")
	private Date makerTimestamp;

	@Column(name="checker")
	private String checker;

	@Column(name="checker_timestamp")
	private Date checkerTimestamp;

	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;

	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;
	
	private transient String auditTypeDesc;
	private transient String auditGroupCodeName;
	private transient String auditSubGroupCodeName;
	private transient String activityName;
	private transient String pendingAuthMapping;
	
	private transient String totalNonCompRecord;
	private transient String totalCarryFwd;
	private transient String totalAccepted;
	private transient String totalFurtherComp;
	private transient String bankResponsibility;
	private transient String reviewerResponsibility;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditId() {
		return auditId;
	}

	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getAuditGroupCode() {
		return auditGroupCode;
	}

	public void setAuditGroupCode(String auditGroupCode) {
		this.auditGroupCode = auditGroupCode;
	}

	public String getAuditSubGroupCode() {
		return auditSubGroupCode;
	}

	public void setAuditSubGroupCode(String auditSubGroupCode) {
		this.auditSubGroupCode = auditSubGroupCode;
	}

	public String getTotalMapping() {
		return totalMapping;
	}

	public void setTotalMapping(String totalMapping) {
		this.totalMapping = totalMapping;
	}

	public String getUnauthMapping() {
		return unauthMapping;
	}

	public void setUnauthMapping(String unauthMapping) {
		this.unauthMapping = unauthMapping;
	}

	public String getAuthMapping() {
		return authMapping;
	}

	public void setAuthMapping(String authMapping) {
		this.authMapping = authMapping;
	}

	public String getChecked() {
		return checked;
	}

	public void setChecked(String checked) {
		this.checked = checked;
	}

	public String getUncheckedReason() {
		return uncheckedReason;
	}

	public void setUncheckedReason(String uncheckedReason) {
		this.uncheckedReason = uncheckedReason;
	}

	public String getEntityStatus() {
		return entityStatus;
	}

	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getMaker() {
		return maker;
	}

	public void setMaker(String maker) {
		this.maker = maker;
	}

	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	public String getChecker() {
		return checker;
	}

	public void setChecker(String checker) {
		this.checker = checker;
	}

	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}

	public String getAuditGroupCodeName() {
		return auditGroupCodeName;
	}

	public void setAuditGroupCodeName(String auditGroupCodeName) {
		this.auditGroupCodeName = auditGroupCodeName;
	}

	public String getAuditSubGroupCodeName() {
		return auditSubGroupCodeName;
	}

	public void setAuditSubGroupCodeName(String auditSubGroupCodeName) {
		this.auditSubGroupCodeName = auditSubGroupCodeName;
	}

	public String getActivityCode() {
		return activityCode;
	}

	public void setActivityCode(String activityCode) {
		this.activityCode = activityCode;
	}

	public String getAuditTypeDesc() {
		return auditTypeDesc;
	}

	public void setAuditTypeDesc(String auditTypeDesc) {
		this.auditTypeDesc = auditTypeDesc;
	}

	public String getActivityName() {
		return activityName;
	}

	public void setActivityName(String activityName) {
		this.activityName = activityName;
	}

	public String getPendingAuthMapping() {
		return pendingAuthMapping;
	}

	public void setPendingAuthMapping(String pendingAuthMapping) {
		this.pendingAuthMapping = pendingAuthMapping;
	}

	public String getTotalNonCompRecord() {
		return totalNonCompRecord;
	}

	public void setTotalNonCompRecord(String totalNonCompRecord) {
		this.totalNonCompRecord = totalNonCompRecord;
	}

	public String getTotalCarryFwd() {
		return totalCarryFwd;
	}

	public void setTotalCarryFwd(String totalCarryFwd) {
		this.totalCarryFwd = totalCarryFwd;
	}

	public String getTotalAccepted() {
		return totalAccepted;
	}

	public void setTotalAccepted(String totalAccepted) {
		this.totalAccepted = totalAccepted;
	}

	public String getTotalFurtherComp() {
		return totalFurtherComp;
	}

	public void setTotalFurtherComp(String totalFurtherComp) {
		this.totalFurtherComp = totalFurtherComp;
	}

	public String getBankResponsibility() {
		return bankResponsibility;
	}

	public void setBankResponsibility(String bankResponsibility) {
		this.bankResponsibility = bankResponsibility;
	}

	public String getReviewerResponsibility() {
		return reviewerResponsibility;
	}

	public void setReviewerResponsibility(String reviewerResponsibility) {
		this.reviewerResponsibility = reviewerResponsibility;
	}

}
